//Write code below
var input = document.querySelector('input[type=text]')

var draw = SVG().addTo('#drawing').viewbox(-100, -10, 300, 300)
var textSize = 3.5

var nested = draw.nested()
let customText = `Don't like it? Join. Start thinking about the ritual as a game A game in which the rules are not clear take a step, jump. Build a tent. With rope and bed sheets and everything you can find Scream: THIS IS AN INVITATION Start sleeping under art in public spaces. Stare at the moon all night long Sit on a chair and face the highway whilst the city wakes up Give rooms arms, legs and eyes Give 10 children, 10 crayons. One crayon each. Exhibit their findings Politicise the jigsaw puzzle, enter the livingroom. create integrated environments consisting of ritual objects, spatial adaptations`

var text = nested.text(customText)

var triangle ='M5,100 L70,5 L135,100 z'
var path = 'M 150 140 C 200 100 300 0 400 100 C 500 200 600 300 700 200 C 800 100 900 100 900 100'
var customPath ='M 0 0 L 40 0 L 40 60 L 0 60 L 0 0'

const customTextPath = text.path(customPath)
customTextPath.font({ size: textSize, family: 'Verdana' })

input.addEventListener('keyup', updateText(customTextPath))

//Animation test code
const animation1 = false
if (animation1){
  var text = draw.text(function(add) {
		add.tspan( input.value ).dy(-10)
  })
  
  textPath = text.path('M10 80 C 40 10, 65 10, 95 80 S 150 150, 180 80')

  textPath.animate(1000).ease('<>')
    .plot('M10 80 C 40 150, 65 150, 95 80 S 150 10, 180 80')
    .loop(true, true)
}
function updateText(textPath) {
	return function() {
		textPath.tspan(this.value)
	}				
}

//Broken code to animate text along a path
//customTextPath.animate(8000, '<>').during(function(pos, morph, eased){
//    var p = text.path().pointAt(eased * length)
//    rect.center(p.x, p.y)
//}).loop(true, true)